## -*- shell-script -*- ######################################################
##                                                                          ##
##  JBoss Bootstrap Script Configuration                                    ##
##                                                                          ##
##############################################################################

### $Id: run.conf 13711 2010-07-07 09:59:21Z gunterze $

#
# This file is optional; it may be removed if not needed.
#

#
# Specify the maximum file descriptor limit, use "max" or "maximum" to use
# the default, as queried by the system.
#
# Defaults to "maximum"
#
#MAX_FD="maximum"

#
# Specify the profiler configuration file to load.
#
# Default is to not load profiler configuration file.
#
#PROFILER=""

#
# Specify the location of the Java home directory.  If set then $JAVA will
# be defined to $JAVA_HOME/bin/java, else $JAVA will be "java".
#
#JAVA_HOME="/opt/java/jdk"

#
# Specify the exact Java VM executable to use.
#
#JAVA=""

#
# Specify options to pass to the Java VM.
#
if [ "x$JAVA_OPTS" = "x" ]; then
   JAVA_OPTS="-Xms128m -Xmx512m -XX:MaxPermSize=128m -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000"
fi

#
# Specify the ID of the ServerPeer used by JBoss Messaging. Must be unique per JBoss instance
#
JAVA_OPTS="$JAVA_OPTS -Djboss.messaging.ServerPeerID=0"

#
# Use Compiling XSLT Processor (XSLTC)
#
JAVA_OPTS="$JAVA_OPTS -Djavax.xml.transform.TransformerFactory=com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl"

# Uncomment to enable the jconsole agent locally
# JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote"
# Tell JBossAS to use the platform MBean server
# JAVA_OPTS="$JAVA_OPTS -Djboss.platform.mbeanserver"
# Make the platform MBean server able to work with JBossAS MBeans
# JAVA_OPTS="$JAVA_OPTS -Djavax.management.builder.initial=org.jboss.system.server.jmx.MBeanServerBuilderImpl"

# Uncomment to enable the jconsole agent remotely on port 12345 with disabled security and ssl transport
# JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.port=12345"
# JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.authenticate=false"
# JAVA_OPTS="$JAVA_OPTS -Dcom.sun.management.jmxremote.ssl=false"

#
# Set headless option to run without X enviornment 
#
JAVA_OPTS="$JAVA_OPTS -Djava.awt.headless=true"

#
# Set app.name and used in emitted audit log messages
#
JAVA_OPTS="$JAVA_OPTS -Dapp.name=dcm4chee"

#
# Set Node Name displayed in web login page
# (display hostname if dcm4che.archive.nodename isn't set)
#
#JAVA_OPTS="$JAVA_OPTS -Ddcm4che.archive.nodename=DCM4CHEE"

# Sample JPDA settings for remote socket debuging
#JAVA_OPTS="$JAVA_OPTS -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"

# Sample JPDA settings for shared memory debugging 
#JAVA_OPTS="$JAVA_OPTS -Xrunjdwp:transport=dt_shmem,server=y,suspend=n,address=jboss"

# Sample SSL debugging option:
#JAVA_OPTS="$JAVA_OPTS -Djavax.net.debug=ssl,handshake,data,trustmanager,help"
#JAVA_OPTS="$JAVA_OPTS -Djavax.net.debug=ssl,handshake"

# Sample https protocol settings
# Uncomment to disable SSLv2Hello when SSL handshake failed with 'javax.net.ssl.SSLHandshakeException: SSLv2Hello is disabled'
# JAVA_OPTS="$JAVA_OPTS -Dhttps.protocols=SSLv3,TLSv1"

